Bug 144474 - Environment variables in nash
Environment variables in nash
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-07 09:48 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 18:27:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Implement $-expansion of environment variables (339 bytes, patch)
2005-01-07 09:50 EST, Kasper Dupont
no flags Details | Diff

  None (edit)
Description Kasper Dupont 2005-01-07 09:48:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
Currently nash does not support environment variables. With a minor
change it can be supported.

Version-Release number of selected component (if applicable):
mkinitrd-3.5.22-1

How reproducible:
Always

Steps to Reproduce:
1. nash
2. echo $TERM

Actual Results:
(echo) $TERM

Expected Results:
(echo) xterm

Additional info:
Comment 1 Kasper Dupont 2005-01-07 09:50:11 EST
Created attachment 109466 [details]
Implement $-expansion of environment variables
Comment 2 Peter Jones 2005-01-21 18:27:16 EST
Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.